%define anolis_release 1
%global pypi_name ffmpy
%global pypi_version 0.3.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A simple Python wrapper for ffmpeg

License:        MIT
URL:            https://github.com/Ch00k/ffmpy
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)

%description
ffmpy is a simplistic FFmpeg command line wrapper. It implements a
Pythonic interface for FFmpeg command line compilation and uses Python
subprocess module to execute compiled command line.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ffmpy is a simplistic FFmpeg command line wrapper. It implements a
Pythonic interface for FFmpeg command line compilation and uses Python
subprocess module to execute compiled command line.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Thu Apr 11 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 0.3.2-1
- Initial package.
